/*
 * PDFGeneratorDynamicContentDemo.java
 * 
 */
import sferyx.administration.pdfgenerator.*;

public class PDFGeneratorDynamicContentDemo {

    /** Creates a new instance of PDFGeneratorDynamicContentDemo */
    public PDFGeneratorDynamicContentDemo()
    {



       PDFGenerator pdfGenerator=new PDFGenerator();

       pdfGenerator.setHeader("<p style=\"text-align:right;background-color:#ddd;\"><span style=\"font-size:18pt;color:green;\"><b>This is the header here</b></span></p>");
       pdfGenerator.setFooter("<i>This is some footer with page numbers Page: <b>@#SferyxPDFGenerator-PageNumber#@</b> of pages: <b>@#SferyxPDFGenerator-TotalPagesNumber#@</b></i>");
       
       pdfGenerator.openContentBuffer();
       pdfGenerator.appendHTMLContentToContentBuffer("<style>body{font-size:12pt;color:blue;} h1{background-color:yellow;}</style>");
       pdfGenerator.appendHTMLContentToContentBuffer("<h1>This is H1 header</h1>Some other text <b>very important <i>stuff</i></b> with page break after");

       pdfGenerator.addPageBreakToContentBuffer();
       pdfGenerator.appendHTMLContentToContentBuffer("<h2  style=\"background-color:green;border-bottom:1px solid red;color:white\">This is second H2 header</h2>Some other text <span style=\"color:orange\">extremely interesting <u>stuff</u></b></span><br>");
       pdfGenerator.appendPlainTextContentToContentBuffer("Here we put some plain text\nin new line other text\n\ttab space other stuff here... with page break after");
       
       pdfGenerator.addPageBreakToContentBuffer();
       pdfGenerator.appendHTMLContentToContentBuffer("<style>table{border-collapse:collapse;} td{border:1px solid red;}</style>");
       pdfGenerator.appendHTMLContentToContentBuffer("<table style=\"border:1px solid black;\" ><tr><td>row 1 col 1</td><td>row 1 col 2</td></tr><tr><td style=\"background-color:yellow\">row 2 col 1</td><td>row 2 col 2</td></tr></table> with page break after the table");
       
       pdfGenerator.addPageBreakToContentBuffer();
       pdfGenerator.appendHTMLContentToContentBuffer("<h1 style=\"border-bottom:1px solid orange;\">Some other text here and the beginning of the Docx file:</h1>");
       
       try
        {
            pdfGenerator.appendDocxToContentBuffer(new java.net.URL("file:///c:/test/demo.docx"));
        }
        catch(Throwable thr){thr.printStackTrace();}

      pdfGenerator.appendHTMLContentToContentBuffer("<h1 style=\"border-bottom:1px solid red;\">Some other text here and the beginning of the RTF file:</h1>");
      try
        {
            pdfGenerator.appendRTFFileToContentBuffer(new java.net.URL("file:///c:/test/Sample06-1.rtf"));
        }
        catch(Throwable thr){thr.printStackTrace();}

      pdfGenerator.closeBufferAndGeneratePDF("c:/test/dynamic.pdf","A4", "Portrait");



    }


    public static void main(String args[])
    {
        new PDFGeneratorDynamicContentDemo();
    }


}
