import java.awt.Desktop;
import java.io.File;
import java.io.IOException;
import java.nio.file.Files;

import sferyx.administration.pdfgenerator.PDFGenerator;



public class SampleReportTestPDFGenerator
{


    public SampleReportTestPDFGenerator()
   {

      PDFGenerator pdfGenerator = new PDFGenerator();
      //sets the page footer with the page numbers etc. - it can be changed dynamically the same way as the page header
      pdfGenerator.setFooter("<i>This is the footer with page numbers Page: <b>@#SferyxPDFGenerator-PageNumber#@</b> of pages: <b>@#SferyxPDFGenerator-TotalPagesNumber#@</b></i>");

      int recordsNum=5;

      //sets the Header needed only for the first page - for the next records is replaced for each record - see below
      pdfGenerator.setHeader("<h1 style=\"text-align:right;background-color:#ddd;color:blue;font-size:12pt;\">This is record #1 You can add also other stuff here</h1>");

      for(int i=1;i<recordsNum;i++)
      {

        // Multipage content of the record
        pdfGenerator.appendHTMLContentToContentBuffer("<table border=\"0\" width=\"100%\"><tr><td colspan=\"3\"><b>This is experiment #</b>"+i+"</td></tr><tr><td><b>Date:</b>"+(new java.util.Date())+"</td><td><b>Continued from page:</b></td><td><b>Continued to page:</b></td></tr><tr><td colspan=\"3\"><b>Literature reference:</b> Some reference here</td></tr><td colspan=\"3\"><b>Comments:</b> Some long comment here....this may span as long as you want...</td></tr></table>");
        pdfGenerator.appendHTMLContentToContentBuffer("<table style=\"border:1px solid black;width:100%;\" ><tr><th style=\"background-color:#ddd;\">result: "+i+" number: "+i*i+"</td><th style=\"background-color:#ddd;\">result: "+i*i*i+" number: "+i*3*i+"</td></tr><tr><td>result: "+12/i*i+" number: "+i*(32+i)+"</td><td>result: "+i*54*i+" number: "+i*i*27*i+"</td></tr></table> ");
        pdfGenerator.appendHTMLContentToContentBuffer("<h2  style=\"background-color:green;border-bottom:1px solid red;color:white\">This is title #"+i+"000</h2><b>Some other text</b> <span style=\"color:red\">extremely interesting <u>stuff</u></b></span><br>");

        // We add more variable long content
        for(int j=0;j<2*i;j++)
        {
            pdfGenerator.appendHTMLContentToContentBuffer("<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>");
        }
        // We add more other content as a table
        pdfGenerator.appendHTMLContentToContentBuffer("<table style=\"border:1px solid black;width:100%;border-collapse:collapse;margin-bottom:15px;\" ><tr><td style=\"border:1px solid black;\">Other results here "+i+""+2*i+" </td><td style=\"border:1px solid black;\">Other results here "+i+""+3*i+"</td></tr><tr><td style=\"background-color:yellow;border:1px solid black;\">Other results here "+i+""+4*i+"</td><td style=\"background-color:yellow;border:1px solid black;\">Other results here "+i+""+5*i+"</td></tr></table> ");
        // We are adding here the absolute positioned boxes in the same flow with the other content
        pdfGenerator.appendHTMLContentToContentBuffer("<div style=\"width:100%;height:300px;background-color:cyan;border:1px solid black;position:relative;\">There are arbitrary positioned boxes in this section:<div style=\"width:120px;height:50px;background-color:orange;position:absolute;left:20px;top:50px;\"><b><u>Block 1</u></b> left:20px top:50px</div><div style=\"width:120px;height:50px;background-color:red;color:white;position:absolute;left:80px;top:150px;\"><b><u>Block 2</u></b> left:80px top:150px</div><div style=\"width:120px;height:50px;background-color:blue;color:white;position:absolute;left:120px;top:80px;\"><b><u>Block 3</u></b> left:120px top:80px</div><div style=\"width:120px;height:50px;background-color:green;color:white;position:absolute;left:50%;top:30%;\"><b><u>Block 4</u></b> left:50% top:30%</div><div style=\"width:200px;height:100px;background-color:darkgray;color:white;position:absolute;right:0px;bottom:0px;\"><b><u>Block 5</u></b> right:0px bottom:0px</div></div>");
        //End of the current record of the report
        pdfGenerator.appendHTMLContentToContentBuffer("<p align=\"center\" style=\"margin-bottom:0px;margin-top:0px;\"><i><b>------------End of Record #"+i+"-------------</b></i></p>");
        //Change the page header for the next record - this way the header is the same for all the record pages span
        pdfGenerator.appendAlternativeHeaderToContentBuffer("<h1 style=\"text-align:right;background-color:#ddd;color:blue;font-size:12pt;\">This is record #"+(i+1)+" You can add also other stuff here</h1>");
        //The new record starts on a new page with the new page header
        pdfGenerator.addPageBreakToContentBuffer();

      }
      pdfGenerator.closeBufferAndGeneratePDF("c:/test/dynamic.pdf", "A4", "Portrait");
      try
      {
         Desktop.getDesktop().open(new File("c:/test/dynamic.pdf"));
      }
      catch (IOException e)
      {
         e.printStackTrace();
      }

   }

   public static void main(String args[])
   {
      new SampleReportTestPDFGenerator();
   }

}
